## XAppObjectManagerClient XAppObjectManagerClient |

## Functions

GDBusInterfaceInfo * | xapp_status_icon_interface_interface_info ()
guint | xapp_status_icon_interface_override_properties ()
void | xapp_status_icon_interface_complete_button_press ()
void | xapp_status_icon_interface_complete_button_release ()
void | xapp_status_icon_interface_complete_scroll ()
void | xapp_status_icon_interface_call_button_press ()
gboolean | xapp_status_icon_interface_call_button_press_finish ()
gboolean | xapp_status_icon_interface_call_button_press_sync ()
void | xapp_status_icon_interface_call_button_release ()
gboolean | xapp_status_icon_interface_call_button_release_finish ()
gboolean | xapp_status_icon_interface_call_button_release_sync ()
void | xapp_status_icon_interface_call_scroll ()
gboolean | xapp_status_icon_interface_call_scroll_finish ()
gboolean | xapp_status_icon_interface_call_scroll_sync ()
const gchar * | xapp_status_icon_interface_get_name ()
gchar * | xapp_status_icon_interface_dup_name ()
void | xapp_status_icon_interface_set_name ()
const gchar * | xapp_status_icon_interface_get_icon_name ()
gchar * | xapp_status_icon_interface_dup_icon_name ()
void | xapp_status_icon_interface_set_icon_name ()
const gchar * | xapp_status_icon_interface_get_tooltip_text ()
gchar * | xapp_status_icon_interface_dup_tooltip_text ()
void | xapp_status_icon_interface_set_tooltip_text ()
const gchar * | xapp_status_icon_interface_get_label ()
gchar * | xapp_status_icon_interface_dup_label ()
void | xapp_status_icon_interface_set_label ()
gboolean | xapp_status_icon_interface_get_visible ()
void | xapp_status_icon_interface_set_visible ()
gint | xapp_status_icon_interface_get_icon_size ()
void | xapp_status_icon_interface_set_icon_size ()
gboolean | xapp_status_icon_interface_get_primary_menu_is_open ()
void | xapp_status_icon_interface_set_primary_menu_is_open ()
gboolean | xapp_status_icon_interface_get_secondary_menu_is_open ()
void | xapp_status_icon_interface_set_secondary_menu_is_open ()
const gchar * | xapp_status_icon_interface_get_metadata ()
gchar * | xapp_status_icon_interface_dup_metadata ()
void | xapp_status_icon_interface_set_metadata ()
void | xapp_status_icon_interface_proxy_new ()
XAppStatusIconInterface * | xapp_status_icon_interface_proxy_new_finish ()
XAppStatusIconInterface * | xapp_status_icon_interface_proxy_new_sync ()
void | xapp_status_icon_interface_proxy_new_for_bus ()
XAppStatusIconInterface * | xapp_status_icon_interface_proxy_new_for_bus_finish ()
XAppStatusIconInterface * | xapp_status_icon_interface_proxy_new_for_bus_sync ()
XAppStatusIconInterface * | xapp_status_icon_interface_skeleton_new ()
XAppStatusIconInterface * | xapp_object_get_status_icon_interface ()
XAppStatusIconInterface * | xapp_object_peek_status_icon_interface ()
XAppObjectProxy * | xapp_object_proxy_new ()
XAppObjectSkeleton * | xapp_object_skeleton_new ()
void | xapp_object_skeleton_set_status_icon_interface ()
GType | xapp_object_manager_client_get_proxy_type ()
void | xapp_object_manager_client_new ()
GDBusObjectManager * | xapp_object_manager_client_new_finish ()
GDBusObjectManager * | xapp_object_manager_client_new_sync ()
void | xapp_object_manager_client_new_for_bus ()
GDBusObjectManager * | xapp_object_manager_client_new_for_bus_finish ()
GDBusObjectManager * | xapp_object_manager_client_new_for_bus_sync ()

## Properties

XAppStatusIconInterface * | status-icon-interface | Read / Write
gchar * | icon-name | Read / Write
gint | icon-size | Read / Write
gchar * | label | Read / Write
gchar * | metadata | Read / Write
gchar * | name | Read / Write
gboolean | primary-menu-is-open | Read / Write
gboolean | secondary-menu-is-open | Read / Write
gchar * | tooltip-text | Read / Write
gboolean | visible | Read / Write

## Signals

gboolean | handle-button-press | Run Last
gboolean | handle-button-release | Run Last
gboolean | handle-scroll | Run Last

## Object Hierarchy

        GInterface
        ├── XAppObject
        ╰── XAppStatusIconInterface
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── XAppStatusIconInterfaceSkeleton
        ├── GDBusObjectManagerClient
        │   ╰── XAppObjectManagerClient
        ├── GDBusObjectProxy
        │   ╰── XAppObjectProxy
        ├── GDBusObjectSkeleton
        │   ╰── XAppObjectSkeleton
        ╰── GDBusProxy
            ╰── XAppStatusIconInterfaceProxy

## Description

## Functions

### xapp_status_icon_interface_interface_info ()

    GDBusInterfaceInfo *
    xapp_status_icon_interface_interface_info
                                   (void);

Gets a machine-readable description of the org.x.StatusIcon D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### xapp_status_icon_interface_override_properties ()

    guint
    xapp_status_icon_interface_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the XAppStatusIconInterface interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### xapp_status_icon_interface_complete_button_press ()

    void
    xapp_status_icon_interface_complete_button_press
                                   (XAppStatusIconInterface *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ButtonPress()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A XAppStatusIconInterface. |
invocation | A GDBusMethodInvocation. | [transfer full]

### xapp_status_icon_interface_complete_button_release ()

    void
    xapp_status_icon_interface_complete_button_release
                                   (XAppStatusIconInterface *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ButtonRelease()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A XAppStatusIconInterface. |
invocation | A GDBusMethodInvocation. | [transfer full]

### xapp_status_icon_interface_complete_scroll ()

    void
    xapp_status_icon_interface_complete_scroll
                                   (XAppStatusIconInterface *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Scroll()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A XAppStatusIconInterface. |
invocation | A GDBusMethodInvocation. | [transfer full]

### xapp_status_icon_interface_call_button_press ()

    void
    xapp_status_icon_interface_call_button_press
                                   (XAppStatusIconInterface *proxy,
                                    gint arg_x,
                                    gint arg_y,
                                    guint arg_button,
                                    guint arg_time,
                                    gint arg_panel_position,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ButtonPress()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `xapp_status_icon_interface_call_button_press_finish()` to get the result of the operation.

See `xapp_status_icon_interface_call_button_press_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A XAppStatusIconInterfaceProxy. |
arg_x | Argument to pass with the method invocation. |
arg_y | Argument to pass with the method invocation. |
arg_button | Argument to pass with the method invocation. |
arg_time | Argument to pass with the method invocation. |
arg_panel_position | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### xapp_status_icon_interface_call_button_press_finish ()

    gboolean
    xapp_status_icon_interface_call_button_press_finish
                                   (XAppStatusIconInterface *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `xapp_status_icon_interface_call_button_press()`.

#### Parameters

proxy | A XAppStatusIconInterfaceProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `xapp_status_icon_interface_call_button_press()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### xapp_status_icon_interface_call_button_press_sync ()

    gboolean
    xapp_status_icon_interface_call_button_press_sync
                                   (XAppStatusIconInterface *proxy,
                                    gint arg_x,
                                    gint arg_y,
                                    guint arg_button,
                                    guint arg_time,
                                    gint arg_panel_position,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ButtonPress()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `xapp_status_icon_interface_call_button_press()` for the asynchronous version of this method.

#### Parameters

proxy | A XAppStatusIconInterfaceProxy. |
arg_x | Argument to pass with the method invocation. |
arg_y | Argument to pass with the method invocation. |
arg_button | Argument to pass with the method invocation. |
arg_time | Argument to pass with the method invocation. |
arg_panel_position | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### xapp_status_icon_interface_call_button_release ()

    void
    xapp_status_icon_interface_call_button_release
                                   (XAppStatusIconInterface *proxy,
                                    gint arg_x,
                                    gint arg_y,
                                    guint arg_button,
                                    guint arg_time,
                                    gint arg_panel_position,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ButtonRelease()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `xapp_status_icon_interface_call_button_release_finish()` to get the result of the operation.

See `xapp_status_icon_interface_call_button_release_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A XAppStatusIconInterfaceProxy. |
arg_x | Argument to pass with the method invocation. |
arg_y | Argument to pass with the method invocation. |
arg_button | Argument to pass with the method invocation. |
arg_time | Argument to pass with the method invocation. |
arg_panel_position | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### xapp_status_icon_interface_call_button_release_finish ()

    gboolean
    xapp_status_icon_interface_call_button_release_finish
                                   (XAppStatusIconInterface *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `xapp_status_icon_interface_call_button_release()`.

#### Parameters

proxy | A XAppStatusIconInterfaceProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `xapp_status_icon_interface_call_button_release()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### xapp_status_icon_interface_call_button_release_sync ()

    gboolean
    xapp_status_icon_interface_call_button_release_sync
                                   (XAppStatusIconInterface *proxy,
                                    gint arg_x,
                                    gint arg_y,
                                    guint arg_button,
                                    guint arg_time,
                                    gint arg_panel_position,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ButtonRelease()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `xapp_status_icon_interface_call_button_release()` for the asynchronous version of this method.

#### Parameters

proxy | A XAppStatusIconInterfaceProxy. |
arg_x | Argument to pass with the method invocation. |
arg_y | Argument to pass with the method invocation. |
arg_button | Argument to pass with the method invocation. |
arg_time | Argument to pass with the method invocation. |
arg_panel_position | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### xapp_status_icon_interface_call_scroll ()

    void
    xapp_status_icon_interface_call_scroll
                                   (XAppStatusIconInterface *proxy,
                                    gint arg_delta,
                                    gint arg_orientation,
                                    guint arg_time,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Scroll()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `xapp_status_icon_interface_call_scroll_finish()` to get the result of the operation.

See `xapp_status_icon_interface_call_scroll_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A XAppStatusIconInterfaceProxy. |
arg_delta | Argument to pass with the method invocation. |
arg_orientation | Argument to pass with the method invocation. |
arg_time | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### xapp_status_icon_interface_call_scroll_finish ()

    gboolean
    xapp_status_icon_interface_call_scroll_finish
                                   (XAppStatusIconInterface *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `xapp_status_icon_interface_call_scroll()`.

#### Parameters

proxy | A XAppStatusIconInterfaceProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `xapp_status_icon_interface_call_scroll()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### xapp_status_icon_interface_call_scroll_sync ()

    gboolean
    xapp_status_icon_interface_call_scroll_sync
                                   (XAppStatusIconInterface *proxy,
                                    gint arg_delta,
                                    gint arg_orientation,
                                    guint arg_time,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Scroll()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `xapp_status_icon_interface_call_scroll()` for the asynchronous version of this method.

#### Parameters

proxy | A XAppStatusIconInterfaceProxy. |
arg_delta | Argument to pass with the method invocation. |
arg_orientation | Argument to pass with the method invocation. |
arg_time | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### xapp_status_icon_interface_get_name ()

    const gchar *
    xapp_status_icon_interface_get_name (XAppStatusIconInterface *object);

Gets the value of the "Name" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `xapp_status_icon_interface_dup_name()` if on another thread.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### xapp_status_icon_interface_dup_name ()

    gchar *
    xapp_status_icon_interface_dup_name (XAppStatusIconInterface *object);

Gets a copy of the "Name" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### xapp_status_icon_interface_set_name ()

    void
    xapp_status_icon_interface_set_name (XAppStatusIconInterface *object,
                                         const gchar *value);

Sets the "Name" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |
value | The value to set. |

### xapp_status_icon_interface_get_icon_name ()

    const gchar *
    xapp_status_icon_interface_get_icon_name
                                   (XAppStatusIconInterface *object);

Gets the value of the "IconName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `xapp_status_icon_interface_dup_icon_name()` if on another thread.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### xapp_status_icon_interface_dup_icon_name ()

    gchar *
    xapp_status_icon_interface_dup_icon_name
                                   (XAppStatusIconInterface *object);

Gets a copy of the "IconName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### xapp_status_icon_interface_set_icon_name ()

    void
    xapp_status_icon_interface_set_icon_name
                                   (XAppStatusIconInterface *object,
                                    const gchar *value);

Sets the "IconName" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |
value | The value to set. |

### xapp_status_icon_interface_get_tooltip_text ()

    const gchar *
    xapp_status_icon_interface_get_tooltip_text
                                   (XAppStatusIconInterface *object);

Gets the value of the "TooltipText" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `xapp_status_icon_interface_dup_tooltip_text()` if on another thread.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### xapp_status_icon_interface_dup_tooltip_text ()

    gchar *
    xapp_status_icon_interface_dup_tooltip_text
                                   (XAppStatusIconInterface *object);

Gets a copy of the "TooltipText" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### xapp_status_icon_interface_set_tooltip_text ()

    void
    xapp_status_icon_interface_set_tooltip_text
                                   (XAppStatusIconInterface *object,
                                    const gchar *value);

Sets the "TooltipText" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |
value | The value to set. |

### xapp_status_icon_interface_get_label ()

    const gchar *
    xapp_status_icon_interface_get_label (XAppStatusIconInterface *object);

Gets the value of the "Label" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `xapp_status_icon_interface_dup_label()` if on another thread.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### xapp_status_icon_interface_dup_label ()

    gchar *
    xapp_status_icon_interface_dup_label (XAppStatusIconInterface *object);

Gets a copy of the "Label" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### xapp_status_icon_interface_set_label ()

    void
    xapp_status_icon_interface_set_label (XAppStatusIconInterface *object,
                                          const gchar *value);

Sets the "Label" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |
value | The value to set. |

### xapp_status_icon_interface_get_visible ()

    gboolean
    xapp_status_icon_interface_get_visible
                                   (XAppStatusIconInterface *object);

Gets the value of the "Visible" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value.

### xapp_status_icon_interface_set_visible ()

    void
    xapp_status_icon_interface_set_visible
                                   (XAppStatusIconInterface *object,
                                    gboolean value);

Sets the "Visible" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |
value | The value to set. |

### xapp_status_icon_interface_get_icon_size ()

    gint
    xapp_status_icon_interface_get_icon_size
                                   (XAppStatusIconInterface *object);

Gets the value of the "IconSize" D-Bus property.

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value.

### xapp_status_icon_interface_set_icon_size ()

    void
    xapp_status_icon_interface_set_icon_size
                                   (XAppStatusIconInterface *object,
                                    gint value);

Sets the "IconSize" D-Bus property to `value` .

Since this D-Bus property is both readable and writable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |
value | The value to set. |

### xapp_status_icon_interface_get_primary_menu_is_open ()

    gboolean
    xapp_status_icon_interface_get_primary_menu_is_open
                                   (XAppStatusIconInterface *object);

Gets the value of the "PrimaryMenuIsOpen" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value.

### xapp_status_icon_interface_set_primary_menu_is_open ()

    void
    xapp_status_icon_interface_set_primary_menu_is_open
                                   (XAppStatusIconInterface *object,
                                    gboolean value);

Sets the "PrimaryMenuIsOpen" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |
value | The value to set. |

### xapp_status_icon_interface_get_secondary_menu_is_open ()

    gboolean
    xapp_status_icon_interface_get_secondary_menu_is_open
                                   (XAppStatusIconInterface *object);

Gets the value of the "SecondaryMenuIsOpen" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value.

### xapp_status_icon_interface_set_secondary_menu_is_open ()

    void
    xapp_status_icon_interface_set_secondary_menu_is_open
                                   (XAppStatusIconInterface *object,
                                    gboolean value);

Sets the "SecondaryMenuIsOpen" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |
value | The value to set. |

### xapp_status_icon_interface_get_metadata ()

    const gchar *
    xapp_status_icon_interface_get_metadata
                                   (XAppStatusIconInterface *object);

Gets the value of the "Metadata" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `xapp_status_icon_interface_dup_metadata()` if on another thread.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### xapp_status_icon_interface_dup_metadata ()

    gchar *
    xapp_status_icon_interface_dup_metadata
                                   (XAppStatusIconInterface *object);

Gets a copy of the "Metadata" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### xapp_status_icon_interface_set_metadata ()

    void
    xapp_status_icon_interface_set_metadata
                                   (XAppStatusIconInterface *object,
                                    const gchar *value);

Sets the "Metadata" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A XAppStatusIconInterface. |
value | The value to set. |

### xapp_status_icon_interface_proxy_new ()

    void
    xapp_status_icon_interface_proxy_new (GDBusConnection *connection,
                                          GDBusProxyFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.x.StatusIcon. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `xapp_status_icon_interface_proxy_new_finish()` to get the result of the operation.

See `xapp_status_icon_interface_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### xapp_status_icon_interface_proxy_new_finish ()

    XAppStatusIconInterface *
    xapp_status_icon_interface_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `xapp_status_icon_interface_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `xapp_status_icon_interface_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type XAppStatusIconInterfaceProxy]

### xapp_status_icon_interface_proxy_new_sync ()

    XAppStatusIconInterface *
    xapp_status_icon_interface_proxy_new_sync
                                   (GDBusConnection *connection,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates a proxy for the D-Bus interface org.x.StatusIcon. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `xapp_status_icon_interface_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type XAppStatusIconInterfaceProxy]

### xapp_status_icon_interface_proxy_new_for_bus ()

    void
    xapp_status_icon_interface_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `xapp_status_icon_interface_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `xapp_status_icon_interface_proxy_new_for_bus_finish()` to get the result of the operation.

See `xapp_status_icon_interface_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### xapp_status_icon_interface_proxy_new_for_bus_finish ()

    XAppStatusIconInterface *
    xapp_status_icon_interface_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `xapp_status_icon_interface_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `xapp_status_icon_interface_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type XAppStatusIconInterfaceProxy]

### xapp_status_icon_interface_proxy_new_for_bus_sync ()

    XAppStatusIconInterface *
    xapp_status_icon_interface_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `xapp_status_icon_interface_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `xapp_status_icon_interface_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type XAppStatusIconInterfaceProxy]

### xapp_status_icon_interface_skeleton_new ()

    XAppStatusIconInterface *
    xapp_status_icon_interface_skeleton_new
                                   (void);

Creates a skeleton object for the D-Bus interface org.x.StatusIcon.

#### Returns

The skeleton object.

[transfer full][type XAppStatusIconInterfaceSkeleton]

### xapp_object_get_status_icon_interface ()

    XAppStatusIconInterface *
    xapp_object_get_status_icon_interface (XAppObject *object);

Gets the XAppStatusIconInterface instance for the D-Bus interface org.x.StatusIcon on `object` , if any.

#### Parameters

object | A XAppObject. |

#### Returns

A XAppStatusIconInterface that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### xapp_object_peek_status_icon_interface ()

    XAppStatusIconInterface *
    xapp_object_peek_status_icon_interface
                                   (XAppObject *object);

Like `xapp_object_get_status_icon_interface()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A XAppObject. |

#### Returns

A XAppStatusIconInterface or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### xapp_object_proxy_new ()

    XAppObjectProxy *
    xapp_object_proxy_new (GDBusConnection *connection,
                           const gchar *object_path);

Creates a new proxy object.

#### Parameters

connection | A GDBusConnection. |
object_path | An object path. |

#### Returns

The proxy object.

[transfer full]

### xapp_object_skeleton_new ()

    XAppObjectSkeleton *
    xapp_object_skeleton_new (const gchar *object_path);

Creates a new skeleton object.

#### Parameters

object_path | An object path. |

#### Returns

The skeleton object.

[transfer full]

### xapp_object_skeleton_set_status_icon_interface ()

    void
    xapp_object_skeleton_set_status_icon_interface
                                   (XAppObjectSkeleton *object,
                                    XAppStatusIconInterface *interface_);

Sets the XAppStatusIconInterface instance for the D-Bus interface org.x.StatusIcon on `object` .

#### Parameters

object | A XAppObjectSkeleton. |
interface_ | A XAppStatusIconInterface or `NULL` to clear the interface. | [nullable]

### xapp_object_manager_client_get_proxy_type ()

    GType
    xapp_object_manager_client_get_proxy_type
                                   (GDBusObjectManagerClient *manager,
                                    const gchar *object_path,
                                    const gchar *interface_name,
                                    gpointer user_data);

A GDBusProxyTypeFunc that maps `interface_name` to the generated GDBusObjectProxy derived and GDBusProxy derived types.

#### Parameters

manager | A GDBusObjectManagerClient. |
object_path | The object path of the remote object (unused). |
interface_name | Interface name of the remote object or `NULL` to get the object proxy GType. | [nullable]
user_data | User data (unused). |

#### Returns

A GDBusProxy derived GType if `interface_name` is not `NULL`, otherwise the GType for XAppObjectProxy.

### xapp_object_manager_client_new ()

    void
    xapp_object_manager_client_new (GDBusConnection *connection,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously creates GDBusObjectManagerClient using `xapp_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc. See `g_dbus_object_manager_client_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `xapp_object_manager_client_new_finish()` to get the result of the operation.

See `xapp_object_manager_client_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### xapp_object_manager_client_new_finish ()

    GDBusObjectManager *
    xapp_object_manager_client_new_finish (GAsyncResult *res,
                                           GError **error);

Finishes an operation started with `xapp_object_manager_client_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `xapp_object_manager_client_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type XAppObjectManagerClient]

### xapp_object_manager_client_new_sync ()

    GDBusObjectManager *
    xapp_object_manager_client_new_sync (GDBusConnection *connection,
                                         GDBusObjectManagerClientFlags flags,
                                         const gchar *name,
                                         const gchar *object_path,
                                         GCancellable *cancellable,
                                         GError **error);

Synchronously creates GDBusObjectManagerClient using `xapp_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc. See `g_dbus_object_manager_client_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `xapp_object_manager_client_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type XAppObjectManagerClient]

### xapp_object_manager_client_new_for_bus ()

    void
    xapp_object_manager_client_new_for_bus
                                   (GBusType bus_type,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `xapp_object_manager_client_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `xapp_object_manager_client_new_for_bus_finish()` to get the result of the operation.

See `xapp_object_manager_client_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### xapp_object_manager_client_new_for_bus_finish ()

    GDBusObjectManager *
    xapp_object_manager_client_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `xapp_object_manager_client_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `xapp_object_manager_client_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type XAppObjectManagerClient]

### xapp_object_manager_client_new_for_bus_sync ()

    GDBusObjectManager *
    xapp_object_manager_client_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `xapp_object_manager_client_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `xapp_object_manager_client_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type XAppObjectManagerClient]

## Property Details

### The `“status-icon-interface”` property

      “status-icon-interface”    XAppStatusIconInterface *

The XAppStatusIconInterface instance corresponding to the D-Bus interface org.x.StatusIcon, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: XAppObject

Flags: Read / Write

### The `“icon-name”` property

      “icon-name”                gchar *

Represents the D-Bus property "IconName".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: XAppStatusIconInterface

Flags: Read / Write

Default value: NULL

### The `“icon-size”` property

      “icon-size”                gint

Represents the D-Bus property "IconSize".

Since the D-Bus property for this GObject property is both readable and writable, it is meaningful to both read from it and write to it on both the service- and client-side.

Owner: XAppStatusIconInterface

Flags: Read / Write

Default value: 0

### The `“label”` property

      “label”                    gchar *

Represents the D-Bus property "Label".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: XAppStatusIconInterface

Flags: Read / Write

Default value: NULL

### The `“metadata”` property

      “metadata”                 gchar *

Represents the D-Bus property "Metadata".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: XAppStatusIconInterface

Flags: Read / Write

Default value: NULL

### The `“name”` property

      “name”                     gchar *

Represents the D-Bus property "Name".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: XAppStatusIconInterface

Flags: Read / Write

Default value: NULL

### The `“primary-menu-is-open”` property

      “primary-menu-is-open”     gboolean

Represents the D-Bus property "PrimaryMenuIsOpen".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: XAppStatusIconInterface

Flags: Read / Write

Default value: FALSE

### The `“secondary-menu-is-open”` property

      “secondary-menu-is-open”   gboolean

Represents the D-Bus property "SecondaryMenuIsOpen".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: XAppStatusIconInterface

Flags: Read / Write

Default value: FALSE

### The `“tooltip-text”` property

      “tooltip-text”             gchar *

Represents the D-Bus property "TooltipText".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: XAppStatusIconInterface

Flags: Read / Write

Default value: NULL

### The `“visible”` property

      “visible”                  gboolean

Represents the D-Bus property "Visible".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: XAppStatusIconInterface

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“handle-button-press”` signal

    gboolean
    user_function (XAppStatusIconInterface *object,
                   GDBusMethodInvocation   *invocation,
                   gint                     arg_x,
                   gint                     arg_y,
                   guint                    arg_button,
                   guint                    arg_time,
                   gint                     arg_panel_position,
                   gpointer                 user_data)

Signal emitted when a remote caller is invoking the `ButtonPress()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `xapp_status_icon_interface_complete_button_press()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A XAppStatusIconInterface. |
invocation | A GDBusMethodInvocation. |
arg_x | Argument passed by remote caller. |
arg_y | Argument passed by remote caller. |
arg_button | Argument passed by remote caller. |
arg_time | Argument passed by remote caller. |
arg_panel_position | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-button-release”` signal

    gboolean
    user_function (XAppStatusIconInterface *object,
                   GDBusMethodInvocation   *invocation,
                   gint                     arg_x,
                   gint                     arg_y,
                   guint                    arg_button,
                   guint                    arg_time,
                   gint                     arg_panel_position,
                   gpointer                 user_data)

Signal emitted when a remote caller is invoking the `ButtonRelease()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `xapp_status_icon_interface_complete_button_release()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A XAppStatusIconInterface. |
invocation | A GDBusMethodInvocation. |
arg_x | Argument passed by remote caller. |
arg_y | Argument passed by remote caller. |
arg_button | Argument passed by remote caller. |
arg_time | Argument passed by remote caller. |
arg_panel_position | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-scroll”` signal

    gboolean
    user_function (XAppStatusIconInterface *object,
                   GDBusMethodInvocation   *invocation,
                   gint                     arg_delta,
                   gint                     arg_orientation,
                   guint                    arg_time,
                   gpointer                 user_data)

Signal emitted when a remote caller is invoking the `Scroll()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `xapp_status_icon_interface_complete_scroll()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A XAppStatusIconInterface. |
invocation | A GDBusMethodInvocation. |
arg_delta | Argument passed by remote caller. |
arg_orientation | Argument passed by remote caller. |
arg_time | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last